Package org.eclipse.cdt.core.parser.ast

## Enum ASTAccessVisibility

- java.lang.Object
- - java.lang.Enum<ASTAccessVisibility>
  - - org.eclipse.cdt.core.parser.ast.ASTAccessVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<ASTAccessVisibility>`

    public enum ASTAccessVisibility
    extends Enum<ASTAccessVisibility>

Use compareTo() to order access restriction.

### Enum Constant Summary

Enum Constants
`PRIVATE`
`PROTECTED`
`PUBLIC`

### Method Summary

All Methods Static Methods Concrete Methods
`static ASTAccessVisibility` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ASTAccessVisibility[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUBLIC

    public static final ASTAccessVisibility PUBLIC

#### PROTECTED

    public static final ASTAccessVisibility PROTECTED

#### PRIVATE

    public static final ASTAccessVisibility PRIVATE

### Method Detail

#### values

    public static ASTAccessVisibility[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ASTAccessVisibility c : ASTAccessVisibility.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ASTAccessVisibility valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null